de.esprit.appsuite.database.dbgui

## Interface RecordEditor<R extends DBRecord>

- All Superinterfaces:
    Applieable, Clearable, Closeable
  All Known Implementing Classes:
    AbstractClientRecordDialog, AbstractRecordDialog, AbstractRecordFrame, DefaultClientRecordDialog, DefaultRecordCreateDialog, DefaultRecordEditDialog

      public interface RecordEditor<R extends DBRecord>
      extends Applieable, Closeable, Clearable

  This interface defines what methods an editor for a `DBRecord` instance must have. Typically there will be two versions of this editor, a Dialog and a Frame version.
  Author:
    Rainer Buesch

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `R` | `getCurrentRecord()` Returns the current record being edited.
    `java.awt.Point` | `getLocation()`
    `R` | `getMasterRecord()` Returns the master record.
    `DBRecord` | `getParentRecord()` Returns the parent record.
    `java.lang.String` | `getTitle()` Returns the title string of this editors window
    `boolean` | `hasRecordLock()` Tells whether this Editor has a Lock on the current Record (only used for remote editing)
    `boolean` | `isIndexChangeAllowed()`
    `boolean` | `isLocated()`
    `boolean` | `isModified()`
    `boolean` | `isVisible()`
    `void` | `lockRecord()`
    `void` | `popup()` Pops up the editor to become visible
    `void` | `setCurrentRecord(R record)` Sets the current record object for being editable.
    `void` | `setLocation(java.awt.Point p)`
    `void` | `setParentRecord(DBRecord record)` Sets the parent record.
    `void` | `unlockRecord()`

    - ### Methods inherited from interface de.esprit.common.gui.comp.Applieable

      `apply`

    - ### Methods inherited from interface de.esprit.common.gui.comp.Closeable

      `close`

    - ### Methods inherited from interface de.esprit.common.type.Clearable

      `clear`

- - ### Method Detail

    - #### setParentRecord

          void setParentRecord(DBRecord record)

      Sets the parent record.

    - #### getParentRecord

          DBRecord getParentRecord()

      Returns the parent record.

    - #### setCurrentRecord

          void setCurrentRecord(R record)

      Sets the current record object for being editable.

    - #### getCurrentRecord

          R getCurrentRecord()

      Returns the current record being edited.

    - #### getMasterRecord

          R getMasterRecord()

      Returns the master record.

    - #### getTitle

          java.lang.String getTitle()

      Returns the title string of this editors window

    - #### popup

          void popup()

      Pops up the editor to become visible

    - #### isVisible

          boolean isVisible()

    - #### isLocated

          boolean isLocated()

    - #### getLocation

          java.awt.Point getLocation()

    - #### setLocation

          void setLocation(java.awt.Point p)

    - #### isModified

          boolean isModified()

    - #### isIndexChangeAllowed

          boolean isIndexChangeAllowed()

    - #### hasRecordLock

          boolean hasRecordLock()

      Tells whether this Editor has a Lock on the current Record (only used for remote editing)

    - #### lockRecord

          void lockRecord()

    - #### unlockRecord

          void unlockRecord()

Copyright © 2014 EsprIT-Systems. All Rights Reserved.